Subject: Re: Bug (or misfeature) report: cygwin setup behing caching proxy
From: Robert Collins <[email-masked]>
To: "John D. Hardin" <[email-masked]>
Cc: [email-masked]
Date: 06 Aug 2002 14:56:16 +1000

On Tue, 2002-08-06 at 14:19, John D. Hardin wrote:
> 
> I've been setting up cygwin on some local desktops here, and
> was wondering why I was getting slow downloads even though I'm behind
> a Squid caching proxy...
> 
> As it turns out, perusal of the squid log indicates that the setup
> program makes its requests in such a way that the proxy cache is
> bypassed and the files are directly fetched:

Yah, it was done a long time ago, before setup became as able to handle
changes in the ini files and so on as well as it can now. The HEAD code
is fixed, but not the released setup.exe.

However, there is an even better approach: share the 'local package dir'
out, and setup will re-use the downloaded files automatically.

Rob